OnLink
API reference

Read a collection

GET
/v1/collections/{id}

Authorization

partner-key
X-OnLink-Key<token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/collections/string"
{  "id": "a1b2c3d4-0000-4000-8000-000000000001",  "reference": "DEMO-7K3Q2M",  "status": "open",  "currency": "USD",  "partnerReference": "campaign-2026-09",  "label": "September community appeal",  "depositInstructions": {    "beneficiaryName": "Sandbox Business",    "bankName": "Bank of Nowhere",    "routingNumber": "000000000",    "accountNumber": "00000000123456",    "rails": [      "ach_push",      "fednow",      "wire"    ],    "depositMessage": "SBX0DEPOSITMESSAGE"  },  "fee": {    "percentBps": 100,    "flatMinor": 50,    "capMinor": 2000,    "currency": "USD"  },  "expectedAmount": "100.00",  "grossAmount": "100.00",  "feeAmount": "1.50",  "netAmount": "98.50",  "createdAt": "2026-09-22T17:38:46.915Z"}